#!/bin/sh

find . -wholename './128x128/*.png' -type f -execdir mogrify -strip -resize 128 {} +
echo Icone ridimensionate a 128 px.
symlinks -cr ./128x128
echo Trasformati collegamenti in 128x128 da assoluti a relativi.

#96
rsync -lr --ignore-existing 128x128/* 96x96
echo Copiate le icone mancanti nella cartella 96x96
find . -wholename './96x96/*.png' -type f -execdir mogrify -resize 96 {} +
echo Icone ridimensionate a 96 px.
symlinks -cr ./96x96
echo Trasformati collegamenti in 96x96 da assoluti a relativi.

#64
rsync -lr --ignore-existing 128x128/* 64x64
echo Copiate le icone mancanti nella cartella 64x64
find . -wholename './64x64/*.png' -type f -execdir mogrify -resize 64 {} +
echo Icone ridimensionate a 64 px.
symlinks -cr ./64x64
echo Trasformati collegamenti in 64x64 da assoluti a relativi.

#48
rsync -lr --ignore-existing 128x128/* 48x48
echo Copiate le icone mancanti nella cartella 48x48
find . -wholename './48x48/*.png' -type f -execdir mogrify -resize 48 {} +
echo Icone ridimensionate a 48 px.
symlinks -cr ./48x48
echo Trasformati collegamenti in 48x48 da assoluti a relativi.

#32
rsync -lr --ignore-existing 128x128/* 32x32
echo Copiate le icone mancanti nella cartella 32x32
find . -wholename './32x32/*.png' -type f -execdir mogrify -resize 32 {} +
echo Icone ridimensionate a 32 px.
symlinks -cr ./32x32
echo Trasformati collegamenti in 32x32 da assoluti a relativi.

#24
rsync -lr --ignore-existing 128x128/* 24x24
echo Copiate le icone mancanti nella cartella 24x24
find . -wholename './24x24/*.png' -type f -execdir mogrify -resize 24 {} +
echo Icone ridimensionate a 24 px.
symlinks -cr ./24x24
echo Trasformati collegamenti in 24x24 da assoluti a relativi.

#22
rsync -lr --ignore-existing 128x128/* 22x22
echo Copiate le icone mancanti nella cartella 22x22
find . -wholename './22x22/*.png' -type f -execdir mogrify -resize 22 {} +
echo Icone ridimensionate a 22 px.
symlinks -cr ./22x22
echo Trasformati collegamenti in 22x22 da assoluti a relativi.

#16
rsync -lr --ignore-existing 128x128/* 16x16
echo Copiate le icone mancanti nella cartella 16x16
find . -wholename './16x16/*.png' -type f -execdir mogrify -resize 16 {} +
echo Icone ridimensionate a 16 px.
symlinks -cr ./16x16
echo Trasformati collegamenti in 16x16 da assoluti a relativi.

#8
rsync -lr --ignore-existing --copy-unsafe-links --mkpath 128x128/emblems/* 8x8/emblems
echo Copiate le icone mancanti nella cartella 8x8/emblems
find . -wholename './8x8/*.png' -type f -execdir mogrify -resize 8 {} +
echo Icone ridimensionate a 8 px.
symlinks -cr ./8x8
echo Trasformati collegamenti in 8x8/emblems da assoluti a relativi.
